Subject: Re: bug#59743: Implement `command-line-args-left' for emacsclient --eval expressions

From: Jim Porter <[email-masked]>
Date: Thu, 1 Dec 2022 18:16:25 -0800

On 12/1/2022 7:06 AM, Max Nikulin wrote:
> I propose to expand protocol of communication between emacsclient and 
> server to allow passing of arbitrary arguments for --eval expression
> that are not treated as files. The goal is to pass strings to evaluated 
> expressions in a safe way without necessity of escaping double quotes 
> and backslashes.
> 
> I suggest to add e,g, --args option of emacsclient that transfers 
> everything after it (including arguments starting with dash) to server 
> and causes let-binding the list to command-line-args-left (or another 
> variable) before execution of preceding --eval options.

I believe this is a duplicate of bug#57752, where I and several others 
previously discussed a few options to solve this.